<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: R8HL_photogallery.php
| Author: Nick Jones (Digitanium)   modified by Rolly8-HL
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
if (!checkrights("R8PG") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../index.php"); }
include LOCALE.LOCALESET."admin/settings.php";
require_once THEMES."templates/admin_header_mce.php";
if (isset($_POST['savesettings'])) {
	$error = 0;
	$siteintro = $_POST['intro'];
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($_POST['r8hl_photogallery'])."' WHERE settings_name='r8hl_photogallery'");
	if (!$result) { $error = 1; }
	redirect(FUSION_SELF.$aidlink."&error=".$error);
}	
if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	} elseif ($_GET['error'] == 2) {
		$message = $locale['696'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n";
	}
}

$settings2 = array();
$result = dbquery("SELECT * FROM ".DB_SETTINGS);
while ($data = dbarray($result)) {
	$settings2[$data['settings_name']] = $data['settings_value'];
}

opentable("R8-HL&nbsp;Photogallery");
echo "<div id='info'></div>\n";
echo'<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="2JN9P7LQC7HRU">
<input type="image" src="https://www.paypalobjects.com/de_DE/DE/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="Jetzt einfach, schnell und sicher online bezahlen  mit PayPal.">
<img alt="" border="0" src="https://www.paypalobjects.com/de_DE/i/scr/pixel.gif" width="1" height="1">
</form>';
echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='500' class='center'>\n";
echo"<strong>Photogallery&nbsp;Setting</strong>";
echo "<tr>\n<td  width='20%' class='tbl'><img  style='width:300px;'  src='".INFUSIONS."R8HL_photogallery_panel/highslide/imagesr8/".$settings['r8hl_photogallery'].".jpg'   /></td>\n";
echo "<td width='50%' class='tbl'><select name='r8hl_photogallery' class='textbox'>\n";
echo "<option value='white'".($settings['r8hl_photogallery'] == "white" ? " selected='selected'" : "").">gallery-white</option>\n";
echo "<option value='dark'".($settings['r8hl_photogallery'] == "dark" ? " selected='selected'" : "").">gallery-dark</option>\n";
echo "<option value='controls-in-heading'".($settings['r8hl_photogallery'] == "controls-in-heading" ? " selected='selected'" : "").">gallery-controls-in-heading</option>\n";
echo "<option value='floating-caption'".($settings['r8hl_photogallery'] == "floating-caption" ? " selected='selected'" : "").">gallery-floating-caption</option>\n";
echo "<option value='in-box'".($settings['r8hl_photogallery'] == "in-box" ? " selected='selected'" : "").">gallery-in-box</option>\n";
echo "<option value='vertical-strip'".($settings['r8hl_photogallery'] == "vertical-strip" ? " selected='selected'" : "").">gallery-vertical-strip</option>\n";
echo "<option value='horizontal-strip'".($settings['r8hl_photogallery'] == "horizontal-strip" ? " selected='selected'" : "").">gallery-horizontal-strip</option>\n";
echo "<option value='thumbstrip-above'".($settings['r8hl_photogallery'] == "thumbstrip-above" ? " selected='selected'" : "").">gallery-thumbstrip-above</option>\n";
echo "</select></td>\n";
echo "</tr>\n";
echo "<tr>\n<td>". $settings['r8hl_photogallery']."      </td>\n</tr>\n";
echo "<tr>\n";
echo "<td align='center' colspan='2' class='tbl'><br />\n";
echo "<input type='submit' name='savesettings' value='".$locale['750']."' class='button' /></td>\n";
echo "</tr>\n</table>\n</form>\n";
closetable();
require_once THEMES."templates/footer.php";
?>